INCLUDES    = $(all_includes)
KDE_CXXFLAGS = $(USE_EXCEPTIONS)
METASOURCES = AUTO

# Install this plugin in the KDE modules directory
kde_module_LTLIBRARIES = libwebarchiverplugin.la webarchivethumbnail.la

libwebarchiverplugin_la_SOURCES = plugin_webarchiver.cpp
libwebarchiverplugin_la_LIBADD  = $(LIB_KPARTS) $(LIB_KHTML)
libwebarchiverplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

pluginsdir = $(kde_datadir)/khtml/kpartplugins
plugins_DATA = plugin_webarchiver.rc

mimetypedir = $(kde_mimedir)/application
mimetype_DATA = x-webarchive.desktop

webarchivethumbnail_la_SOURCES = webarchivecreator.cpp
webarchivethumbnail_la_LIBADD = $(LIB_KHTML)
webarchivethumbnail_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)

servicesdir = $(kde_servicesdir)
services_DATA = webarchivethumbnail.desktop

datadir = $(kde_appsdir)/.hidden
data_DATA = webarchiverplugin.desktop

KDE_ICON = webarchiver

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/webarchiver.pot
